Index: src/Fragmentation/Exporters/ExportGraph.cpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph.cpp	(revision 2bfc5b108b5b586dc7738bcfddb9149a69e37af0)
+++ src/Fragmentation/Exporters/ExportGraph.cpp	(revision df5b8cdff0a450470b90841942f9cb13a5178c97)
@@ -61,5 +61,4 @@
   const SaturatedFragment::GlobalSaturationPositions_t &_globalsaturationpositions) :
   TotalGraph(_graph),
-  BondFragments(World::getPointer()),
   treatment(_treatment),
   saturation(_saturation),
@@ -75,10 +74,10 @@
 {
   // remove all create molecules again from the World including their atoms
-  for (MoleculeList::iterator iter = BondFragments.ListOfMolecules.begin();
-      !BondFragments.ListOfMolecules.empty();
-      iter = BondFragments.ListOfMolecules.begin()) {
+  for (std::vector<molecule *>::iterator iter = BondFragments.begin();
+      !BondFragments.empty();
+      iter = BondFragments.begin()) {
     // remove copied atoms and molecule again
     molecule *mol = *iter;
-    BondFragments.ListOfMolecules.erase(iter);
+    BondFragments.erase(iter);
     removeAtomsinMolecule(mol);
   }
Index: src/Fragmentation/Exporters/ExportGraph.hpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph.hpp	(revision 2bfc5b108b5b586dc7738bcfddb9149a69e37af0)
+++ src/Fragmentation/Exporters/ExportGraph.hpp	(revision df5b8cdff0a450470b90841942f9cb13a5178c97)
@@ -14,4 +14,6 @@
 #endif
 
+#include <vector>
+
 #include <boost/shared_ptr.hpp>
 
@@ -20,5 +22,4 @@
 #include "Fragmentation/Exporters/HydrogenPool.hpp"
 #include "Fragmentation/Exporters/SaturatedFragment.hpp"
-#include "MoleculeListClass.hpp"
 
 #include "Fragmentation/Graph.hpp"
@@ -97,5 +98,5 @@
   const Graph &TotalGraph;
   //!> internal list of created molecules
-  MoleculeListClass BondFragments;
+  std::vector<molecule *> BondFragments;
   //!> whether to always add already present hydrogens or not
   const enum HydrogenTreatment treatment;
Index: src/Fragmentation/Exporters/ExportGraph_ToFiles.cpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph_ToFiles.cpp	(revision 2bfc5b108b5b586dc7738bcfddb9149a69e37af0)
+++ src/Fragmentation/Exporters/ExportGraph_ToFiles.cpp	(revision df5b8cdff0a450470b90841942f9cb13a5178c97)
@@ -45,5 +45,4 @@
 #include "Fragmentation/Graph.hpp"
 #include "Fragmentation/KeySet.hpp"
-#include "Fragmentation/SortIndex.hpp"
 #include "Graph/ListOfLocalAtoms.hpp"
 #include "molecule.hpp"
@@ -149,7 +148,4 @@
   // store keysets file
   TotalGraph.StoreKeySetFile(prefix);
-
-  // store Hydrogen saturation correction file
-//  BondFragments.AddHydrogenCorrection(prefix);
 
   // restore orbital and Stop values
Index: src/Fragmentation/Exporters/ExportGraph_ToFiles.hpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph_ToFiles.hpp	(revision 2bfc5b108b5b586dc7738bcfddb9149a69e37af0)
+++ src/Fragmentation/Exporters/ExportGraph_ToFiles.hpp	(revision df5b8cdff0a450470b90841942f9cb13a5178c97)
@@ -19,5 +19,5 @@
 #include "Fragmentation/HydrogenSaturation_enum.hpp"
 #include "Fragmentation/Exporters/ExportGraph.hpp"
-#include "MoleculeListClass.hpp"
+#include "Fragmentation/SortIndex.hpp"
 
 class ListOfLocalAtoms_t;
Index: src/Fragmentation/Fragmentation.cpp
===================================================================
--- src/Fragmentation/Fragmentation.cpp	(revision 2bfc5b108b5b586dc7738bcfddb9149a69e37af0)
+++ src/Fragmentation/Fragmentation.cpp	(revision df5b8cdff0a450470b90841942f9cb13a5178c97)
@@ -261,5 +261,5 @@
   int RootNr = 0;
 
-  // FragmentLowerOrdersList is a 2D-array of pointer to MoleculeListClass objects, one dimension represents the ANOVA expansion of a single order (i.e. 5)
+  // FragmentLowerOrdersList is a 2D-array of pointer to vector of molecule objects, one dimension represents the ANOVA expansion of a single order (i.e. 5)
   // with all needed lower orders that are subtracted, the other dimension is the BondOrder (i.e. from 1 to 5)
   NumMoleculesOfOrder = new int[UpgradeCount];
